Steam for Linux > Limited Beta > Topic Details
-FwG- ^ Bucky21659 Nov 29, 2012 @ 1:50pm
Says to update OpenGL drivers when they're as up-to-date as can be.
I have reached my wits end with this. I've updated drivers, I've downloaded drivers from ATi, I've even gone to Synaptic and deleted everything relating to display drivers and hardware acceleration. My problem? Whenever I try to start TF2 I get this error.[i47.tinypic.com] I have no idea what the problem is, but I've done pretty much everything I can think of. I'm running on Ubuntu 12.04 LTS, an ATi Radeon HD 6670, and an Intel Core 2 Duo 6400. If anybody's running TF2 in the beta with a 6670 could they possibly let me know? I'm unsure if it's the drivers for my card or something else.
Showing 1-8 of 8 comments
< >
-FwG- ^ Bucky21659 Nov 29, 2012 @ 1:53pm 
I forgot to note I don't have any other games to test with.
Chichi Nov 29, 2012 @ 4:15pm 
I have a Radeon HD6870 but experienced the same problem on the first install. Try to run sudo apt-get update and sudo apt-get upgrade. I guess you are using AMD's driver version 12.10. And don't forget to restart ;-).
-FwG- ^ Bucky21659 Nov 29, 2012 @ 6:30pm 
I'll try that in a little while after these CS scrims are over, thanks!
Covalent Dec 7, 2012 @ 8:55pm 
How do you install the catalyst controller?
ruediix Dec 7, 2012 @ 9:20pm 
Option 1:

Go to the ATI website and download the driver.

Run the the script with the option "--buildpkg Ubuntu/Precise"

Option 2:
Install a PPA that has auto-installer for AMD/ATI Proprietary drivers experimental build from lauchpad.
Install the experimental driver package.
-FwG- ^ Bucky21659 Dec 7, 2012 @ 9:24pm 
What is this PPA I have to install?
Mega Missingno. Dec 7, 2012 @ 9:26pm 
Similar problem, asking me to update from Nvidia 310.19 (to 310.19, go figure) and missing GlGetError. Terminal also says I lack OpenGL 2.0.
solazs Dec 10, 2012 @ 7:11am 
Originally posted by missingno:
Similar problem, asking me to update from Nvidia 310.19 (to 310.19, go figure) and missing GlGetError. Terminal also says I lack OpenGL 2.0.

Same problem here. My laptop is Optimus powered, if that matters.
Showing 1-8 of 8 comments
< >
Per page: 15 30 50
Date Posted: Nov 29, 2012 @ 1:50pm
Posts: 8